MONGOC_TOPOLOGY_DESCRIPTION_TYPE(3)

NAME
mongoc_topology_description_type - mongoc_topology_description_type()

SYNOPSIS

const char *
mongoc_topology_description_type (const mongoc_topology_description_t *td);

PARAMETERS

•   td: A mongoc_topology_description_t.

DESCRIPTION

This function returns a string, one of the topology types defined in the Server Discovery And Monitoring Spec:

•   Unknown

•   Single

•   Sharded

•   ReplicaSetNoPrimary

•   ReplicaSetWithPrimary

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc